Get Deposit Transactions
curl --request GET \
--url https://api.obiex.finance/v1/transactions/deposits/meimport requests
url = "https://api.obiex.finance/v1/transactions/deposits/me"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.obiex.finance/v1/transactions/deposits/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Ok",
"data": [
{
"id": "f9191d10-27ff-4408-87ed-0bc52c1c8d00",
"createdAt": "2023-12-08T11:44:52.970Z",
"updatedAt": "2023-12-08T11:44:52.970Z",
"active": true,
"reference": "IN1702039492969",
"description": "Received 0.99996 ETH",
"narration": null,
"type": "CREDIT",
"category": "DEPOSIT",
"amount": 0.99996,
"walletId": "82609d2c-dab1-4957-aeca-0d5db37f8597",
"wallet": {
"id": "82609d2c-dab1-4957-aeca-0d5db37f8597",
"createdAt": "2023-04-06T18:32:26.252Z",
"updatedAt": "2025-05-30T01:49:36.559Z",
"active": true,
"availableBalance": 0.85039158,
"pendingBalance": 0,
"pendingSwapBalance": 0,
"lockedBalance": 0,
"userId": "dccc3940-eade-43cb-a4bc-369cd22006db",
"currencyId": "588d87de-c35a-4030-ad54-bd0ae02af3ff",
"p2pBalance": 0,
"currency": {
"id": "588d87de-c35a-4030-ad54-bd0ae02af3ff",
"createdAt": "2021-11-22T09:16:50.816Z",
"updatedAt": "2023-10-20T05:05:53.228Z",
"active": true,
"name": "Ethereum",
"code": "ETH",
"exchangeCode": null,
"leverageBaseCurrencyCode": null,
"leverageMultipler": null,
"receivable": true,
"withdrawable": true,
"transferrable": true,
"minimumWithdrawal": 0,
"minimumDeposit": 0.0001,
"maximumDecimalPlaces": 8,
"withdrawalFee": 0,
"receiveFee": 0,
"type": "CRYPTO",
"leverageType": null,
"receiveFeeType": "PERCENTAGE",
"withdrawalFeeType": "PERCENTAGE",
"maximumWithdrawalFee": 0,
"allowUtilityPayments": false,
"allowUnconfirmedTrading": true,
"allowVirtualCardTransactions": false,
"enableWithdrawalApproval": false
}
},
"deposit": {
"id": "b473a1e0-e27b-4435-b090-9fcedf2f1b11",
"createdAt": "2023-12-08T11:44:52.970Z",
"updatedAt": "2023-12-08T11:44:52.970Z",
"active": true,
"hash": "IN1702039492969",
"network": "ETH",
"dollarRate": 2366.48,
"status": "CONFIRMED",
"fee": 0,
"transactionId": "f9191d10-27ff-4408-87ed-0bc52c1c8d00",
"destinationAddress": "0x600DA8a6cC920FC452C944c03c37f7b026E8fd1c"
}
}
],
"meta": {
"perPage": 30,
"total": 1,
"count": 1,
"currentPage": 1,
"totalPages": 1
}
}Transactions
Get Deposit Transactions
GET
/
transactions
/
deposits
/
me
Get Deposit Transactions
Query Parameters
Was this page helpful?
⌘I